Yönetilen örneğin Başlangıç/Durdurma zamanlamasını oluşturur veya güncelleştirir.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01
URI Parametreleri
| Name |
İçinde |
Gerekli |
Tür |
Description |
|
managedInstanceName
|
path |
True
|
string
|
Yönetilen örneğin adı.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.
|
|
startStopScheduleName
|
path |
True
|
StartStopScheduleName
|
Yönetilen örneğin Başlangıç/Durdurma zamanlamasının adı.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Bu işlem için kullanılacak API sürümü.
|
İstek Gövdesi
| Name |
Gerekli |
Tür |
Description |
|
properties.scheduleList
|
True
|
ScheduleItem[]
|
Zamanlama listesi.
|
|
properties.description
|
|
string
|
Zamanlamanın açıklaması.
|
|
properties.timeZoneId
|
|
string
|
Zamanlamanın saat dilimi.
|
Yanıtlar
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name |
Description |
|
user_impersonation
|
kullanıcı hesabınızın kimliğine bürünme
|
Örnekler
Creates or updates the managed instance's Start/Stop schedule with all optional parameters specified.
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01
{
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "18:00",
"stopDay": "Thursday",
"stopTime": "17:00"
},
{
"startDay": "Thursday",
"startTime": "15:00",
"stopDay": "Thursday",
"stopTime": "14:00"
}
],
"timeZoneId": "Central European Standard Time"
}
}
import com.azure.resourcemanager.sql.fluent.models.StartStopManagedInstanceScheduleInner;
import com.azure.resourcemanager.sql.models.DayOfWeek;
import com.azure.resourcemanager.sql.models.ScheduleItem;
import com.azure.resourcemanager.sql.models.StartStopScheduleName;
import java.util.Arrays;
/**
* Samples for StartStopManagedInstanceSchedules CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMax.json
*/
/**
* Sample code: Creates or updates the managed instance's Start/Stop schedule with all optional parameters
* specified.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createsOrUpdatesTheManagedInstanceSStartStopScheduleWithAllOptionalParametersSpecified(
com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getStartStopManagedInstanceSchedules().createOrUpdateWithResponse("schedulerg",
"schedulemi", StartStopScheduleName.DEFAULT,
new StartStopManagedInstanceScheduleInner()
.withDescription("This is a schedule for our Dev/Test environment.")
.withTimeZoneId("Central European Standard Time")
.withScheduleList(Arrays.asList(
new ScheduleItem().withStartDay(DayOfWeek.THURSDAY).withStartTime("18:00")
.withStopDay(DayOfWeek.THURSDAY).withStopTime("17:00"),
new ScheduleItem().withStartDay(DayOfWeek.THURSDAY).withStartTime("15:00")
.withStopDay(DayOfWeek.THURSDAY).withStopTime("14:00"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python start_stop_managed_instance_schedule_create_or_update_max.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.start_stop_managed_instance_schedules.create_or_update(
resource_group_name="schedulerg",
managed_instance_name="schedulemi",
start_stop_schedule_name="default",
parameters={
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"scheduleList": [
{"startDay": "Thursday", "startTime": "18:00", "stopDay": "Thursday", "stopTime": "17:00"},
{"startDay": "Thursday", "startTime": "15:00", "stopDay": "Thursday", "stopTime": "14:00"},
],
"timeZoneId": "Central European Standard Time",
}
},
)
print(response)
# x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMax.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates the managed instance's Start/Stop schedule.
*
* @summary creates or updates the managed instance's Start/Stop schedule.
* x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMax.json
*/
async function createsOrUpdatesTheManagedInstanceStartOrStopScheduleWithAllOptionalParametersSpecified() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.startStopManagedInstanceSchedules.createOrUpdate(
"schedulerg",
"schedulemi",
"default",
{
description: "This is a schedule for our Dev/Test environment.",
scheduleList: [
{ startDay: "Thursday", startTime: "18:00", stopDay: "Thursday", stopTime: "17:00" },
{ startDay: "Thursday", startTime: "15:00", stopDay: "Thursday", stopTime: "14:00" },
],
timeZoneId: "Central European Standard Time",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/StartStopManagedInstanceScheduleCreateOrUpdateMax.json
// this example is just showing the usage of "StartStopManagedInstanceSchedules_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ManagedInstanceStartStopScheduleResource created on azure
// for more information of creating ManagedInstanceStartStopScheduleResource, please refer to the document of ManagedInstanceStartStopScheduleResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "schedulerg";
string managedInstanceName = "schedulemi";
ManagedInstanceStartStopScheduleName startStopScheduleName = ManagedInstanceStartStopScheduleName.Default;
ResourceIdentifier managedInstanceStartStopScheduleResourceId = ManagedInstanceStartStopScheduleResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, managedInstanceName, startStopScheduleName);
ManagedInstanceStartStopScheduleResource managedInstanceStartStopSchedule = client.GetManagedInstanceStartStopScheduleResource(managedInstanceStartStopScheduleResourceId);
// invoke the operation
ManagedInstanceStartStopScheduleData data = new ManagedInstanceStartStopScheduleData
{
Description = "This is a schedule for our Dev/Test environment.",
TimeZoneId = "Central European Standard Time",
ScheduleList = { new SqlScheduleItem(SqlDayOfWeek.Thursday, "18:00", SqlDayOfWeek.Thursday, "17:00"), new SqlScheduleItem(SqlDayOfWeek.Thursday, "15:00", SqlDayOfWeek.Thursday, "14:00") },
};
ArmOperation<ManagedInstanceStartStopScheduleResource> lro = await managedInstanceStartStopSchedule.UpdateAsync(WaitUntil.Completed, data);
ManagedInstanceStartStopScheduleResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ManagedInstanceStartStopScheduleData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-26T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Creates or updates the managed instance's Start/Stop schedule with no optional parameters specified.
Örnek isteği
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01
{
"properties": {
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "18:00",
"stopDay": "Thursday",
"stopTime": "17:00"
},
{
"startDay": "Thursday",
"startTime": "15:00",
"stopDay": "Thursday",
"stopTime": "14:00"
}
]
}
}
import com.azure.resourcemanager.sql.fluent.models.StartStopManagedInstanceScheduleInner;
import com.azure.resourcemanager.sql.models.DayOfWeek;
import com.azure.resourcemanager.sql.models.ScheduleItem;
import com.azure.resourcemanager.sql.models.StartStopScheduleName;
import java.util.Arrays;
/**
* Samples for StartStopManagedInstanceSchedules CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMin.json
*/
/**
* Sample code: Creates or updates the managed instance's Start/Stop schedule with no optional parameters specified.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createsOrUpdatesTheManagedInstanceSStartStopScheduleWithNoOptionalParametersSpecified(
com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getStartStopManagedInstanceSchedules().createOrUpdateWithResponse("schedulerg",
"schedulemi", StartStopScheduleName.DEFAULT,
new StartStopManagedInstanceScheduleInner().withScheduleList(Arrays.asList(
new ScheduleItem().withStartDay(DayOfWeek.THURSDAY).withStartTime("18:00")
.withStopDay(DayOfWeek.THURSDAY).withStopTime("17:00"),
new ScheduleItem().withStartDay(DayOfWeek.THURSDAY).withStartTime("15:00")
.withStopDay(DayOfWeek.THURSDAY).withStopTime("14:00"))),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python start_stop_managed_instance_schedule_create_or_update_min.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.start_stop_managed_instance_schedules.create_or_update(
resource_group_name="schedulerg",
managed_instance_name="schedulemi",
start_stop_schedule_name="default",
parameters={
"properties": {
"scheduleList": [
{"startDay": "Thursday", "startTime": "18:00", "stopDay": "Thursday", "stopTime": "17:00"},
{"startDay": "Thursday", "startTime": "15:00", "stopDay": "Thursday", "stopTime": "14:00"},
]
}
},
)
print(response)
# x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMin.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates the managed instance's Start/Stop schedule.
*
* @summary creates or updates the managed instance's Start/Stop schedule.
* x-ms-original-file: 2025-01-01/StartStopManagedInstanceScheduleCreateOrUpdateMin.json
*/
async function createsOrUpdatesTheManagedInstanceStartOrStopScheduleWithNoOptionalParametersSpecified() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.startStopManagedInstanceSchedules.createOrUpdate(
"schedulerg",
"schedulemi",
"default",
{
scheduleList: [
{ startDay: "Thursday", startTime: "18:00", stopDay: "Thursday", stopTime: "17:00" },
{ startDay: "Thursday", startTime: "15:00", stopDay: "Thursday", stopTime: "14:00" },
],
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/StartStopManagedInstanceScheduleCreateOrUpdateMin.json
// this example is just showing the usage of "StartStopManagedInstanceSchedules_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ManagedInstanceStartStopScheduleResource created on azure
// for more information of creating ManagedInstanceStartStopScheduleResource, please refer to the document of ManagedInstanceStartStopScheduleResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "schedulerg";
string managedInstanceName = "schedulemi";
ManagedInstanceStartStopScheduleName startStopScheduleName = ManagedInstanceStartStopScheduleName.Default;
ResourceIdentifier managedInstanceStartStopScheduleResourceId = ManagedInstanceStartStopScheduleResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, managedInstanceName, startStopScheduleName);
ManagedInstanceStartStopScheduleResource managedInstanceStartStopSchedule = client.GetManagedInstanceStartStopScheduleResource(managedInstanceStartStopScheduleResourceId);
// invoke the operation
ManagedInstanceStartStopScheduleData data = new ManagedInstanceStartStopScheduleData
{
ScheduleList = { new SqlScheduleItem(SqlDayOfWeek.Thursday, "18:00", SqlDayOfWeek.Thursday, "17:00"), new SqlScheduleItem(SqlDayOfWeek.Thursday, "15:00", SqlDayOfWeek.Thursday, "14:00") },
};
ArmOperation<ManagedInstanceStartStopScheduleResource> lro = await managedInstanceStartStopSchedule.UpdateAsync(WaitUntil.Completed, data);
ManagedInstanceStartStopScheduleResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ManagedInstanceStartStopScheduleData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "UTC"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "UTC"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-26T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Tanımlar
createdByType
Numaralandırma
Kaynağı oluşturan kimliğin türü.
| Değer |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DayOfWeek
Numaralandırma
Bakım günü penceresi.
| Değer |
Description |
|
Sunday
|
Pazar
|
|
Monday
|
Pazartesi
|
|
Tuesday
|
Tuesday
|
|
Wednesday
|
Çarşamba
|
|
Thursday
|
Perşembe
|
|
Friday
|
Cuma
|
|
Saturday
|
Cumartesi
|
ErrorAdditionalInfo
Nesne
Kaynak yönetimi hatası ek bilgileri.
| Name |
Tür |
Description |
|
info
|
object
|
Ek bilgiler.
|
|
type
|
string
|
Ek bilgi türü.
|
ErrorDetail
Nesne
Hata ayrıntısı.
| Name |
Tür |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Hata ek bilgileri.
|
|
code
|
string
|
Hata kodu.
|
|
details
|
ErrorDetail[]
|
Hata ayrıntıları.
|
|
message
|
string
|
Hata iletisi.
|
|
target
|
string
|
Hata hedefi
|
ErrorResponse
Nesne
Hata yanıtı
ScheduleItem
Nesne
Sunucunun ne zaman başlatılması veya durdurulması gerektiğini açıklayan bilgileri zamanlayın.
| Name |
Tür |
Description |
|
startDay
|
DayOfWeek
|
Başlangıç günü.
|
|
startTime
|
string
|
Başlangıç zamanı.
|
|
stopDay
|
DayOfWeek
|
Dur günü.
|
|
stopTime
|
string
|
Durma zamanı.
|
StartStopManagedInstanceSchedule
Nesne
Yönetilen örneğin Başlangıç/Durdurma zamanlaması.
| Name |
Tür |
Default value |
Description |
|
id
|
string
(arm-id)
|
|
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
|
Kaynağın adı
|
|
properties.description
|
string
|
|
Zamanlamanın açıklaması.
|
|
properties.nextExecutionTime
|
string
|
|
Sonraki eylemin ilgili zamanlama saat diliminde yürütüleceği zaman damgası.
|
|
properties.nextRunAction
|
string
|
|
Yürütülecek sonraki eylem (Başlat veya Durdur)
|
|
properties.scheduleList
|
ScheduleItem[]
|
|
Zamanlama listesi.
|
|
properties.timeZoneId
|
string
|
UTC
|
Zamanlamanın saat dilimi.
|
|
systemData
|
systemData
|
|
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.
|
|
type
|
string
|
|
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"
|
StartStopScheduleName
Numaralandırma
Yönetilen örneğin Başlangıç/Durdurma zamanlamasının adı.
| Değer |
Description |
|
default
|
varsayılan
|
systemData
Nesne
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name |
Tür |
Description |
|
createdAt
|
string
(date-time)
|
Kaynak oluşturma (UTC) zaman damgası.
|
|
createdBy
|
string
|
Kaynağı oluşturan kimlik.
|
|
createdByType
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
lastModifiedAt
|
string
(date-time)
|
Kaynağın son değişikliğinin zaman damgası (UTC)
|
|
lastModifiedBy
|
string
|
Kaynağı en son değiştiren kimlik.
|
|
lastModifiedByType
|
createdByType
|
Kaynağı en son değiştiren kimlik türü.
|